(defun c:PL-dopp-vtx
       (/ ENAMe entl einfpkt vertexzaehler vlist p1 p2 p3 phalbe)
  (setq as (ssget "X"
                  '((-4 . "<AND")
                    (-4 . "<OR")
                    (0 . "POLYLINE")
                    (0 . "LWPOLYLINE")
                    (-4 . "OR>")
                    (-4 . "<NOT")
                    (-4 . "<OR")
                    (70 . 1)
                    (70 . 9)
                    (-4 . "OR>")
                                        ;(70 . 129)
                    (-4 . "NOT>")
                    (-4 . "AND>")
                    )
                  ) ;_ end of ssget
        ) ;_ end of setq
  (if as
    (progn
      (repeat (sslength as)
        (setq ENAMe (ssname as 0))
        (if ENAMe
          (lwpl-delvtx ENAMe)
          ) ;_ end of if
        (setq as (ssdel (ssname as 0) as))
        ) ;_ end of repeat
      ) ;_ end of progn
    ) ;_ end of if
  ) ;_ end of defun


(defun lwpl-delvtx (lwpl / edata modd pliste)
  (setq edata (entget lwpl)
        pliste'())
  (cond
    ((= (cdr (assoc 0 edata)) "LWPOLYLINE")
     (setq point (list (car point) (cadr point)))
     (while edata
       (if (or (/= (caar edata) 10)
               (not (member (car edata) modd))
               ) ;_ end of or
         (setq modd  (cons (car edata) modd)
               edata (cdr edata)
               ) ;_ end of setq
         (setq edata (cddddr edata))
         ) ;_ end of if
       ) ;_ end of while
     (entmod (reverse modd))
     )
    ((= (cdr (assoc 0 edata)) "POLYLINE")
     (setq edatan (entget (entnext (cdr (assoc -1 edata)))))
     (while (= (cdr (assoc 0 edatan)) "VERTEX")
       (if (member (cdr (assoc 10 edatan))pliste)
         (entdel (cdr (assoc -1 edatan)))
         ;(princ (setq edata (cddddr edata)))
         ) ;_ end of if
       (setq pliste (append (list (cdr (assoc 10 edatan)))pliste))
       (setq edatan (entget (entnext (cdr (assoc -1 edatan)))))
       ) ;_ end of while
     (setq edata
     (entmod edata)
     )
     )
    ) ;_ end of cond
  ) ;_ end of defun
  (princ "\nStarten mit 'pl-dopp-vtx'")
(princ)
;|Visual LISP Format Options
(72 2 40 1 T "end of " 60 9 0 0 0 nil T nil T)
;*** KEINEN Text unterhalb des Kommentars hinzufgen! ***|;
